Package org.eclipse.net4j.util.container.delegate

# Class ContainerList<E>

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>
org.eclipse.net4j.util.container.delegate.ContainerCollection<E>
org.eclipse.net4j.util.container.delegate.ContainerList<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `List<E>`, `SequencedCollection<E>`, `IContainerCollection<E>`, `IContainerList<E>`, `IContainer<E>`, `INotifier`, `INotifier.INotifier2`

public class ContainerList<E> extends ContainerCollection<E> implements IContainerList<E>
A default implementation of a `container list`.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ContainerList.DelegatingListIterator`
A delegating `list iterator`.

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

`AbstractDelegator.DelegatingIterator`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Constructor Summary

Constructors
Constructor
Description
`ContainerList(List<E> delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int index, E element)`
`boolean`
`addAll(int index, Collection<? extends E> c)`
`E`
`get(int index)`
`List<E>`
`getDelegate()`
`int`
`indexOf(Object o)`
`int`
`lastIndexOf(Object o)`
`ListIterator<E>`
`listIterator()`
`ListIterator<E>`
`listIterator(int index)`
`E`
`remove(int index)`
`E`
`set(int index, E element)`
`List<E>`
`subList(int fromIndex, int toIndex)`

### Methods inherited from class org.eclipse.net4j.util.container.delegate.ContainerCollection

`add, addAll, clear, contains, containsAll, equals, getElements, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

`createEvent, dispatchEvent, fireAddedEvent, fireRemovedEvent`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, addFirst, addLast, clear, contains, containsAll, equals, getFirst, getLast, hashCode, isEmpty, iterator, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, size, sort, spliterator, toArray, toArray`

## Constructor Details

### ContainerList

public ContainerList(List<E> delegate)

## Method Details

### getDelegate

public List<E> getDelegate()

Specified by:
  `getDelegate` in interface `IContainerCollection<E>`
Specified by:
  `getDelegate` in interface `IContainerList<E>`
Overrides:
  `getDelegate` in class `ContainerCollection<E>`

### add

public void add(int index, E element)

Specified by:
  `add` in interface `List<E>`
Category
  WRITE

### addAll

public boolean addAll(int index, Collection<? extends E> c)

Specified by:
  `addAll` in interface `List<E>`
Category
  WRITE

### get

public E get(int index)

Specified by:
  `get` in interface `List<E>`
Category
  READ

### indexOf

public int indexOf(Object o)

Specified by:
  `indexOf` in interface `List<E>`
Category
  READ

### lastIndexOf

public int lastIndexOf(Object o)

Specified by:
  `lastIndexOf` in interface `List<E>`
Category
  READ

### listIterator

public ListIterator<E> listIterator()

Specified by:
  `listIterator` in interface `List<E>`
Category
  READ

### listIterator

public ListIterator<E> listIterator(int index)

Specified by:
  `listIterator` in interface `List<E>`
Category
  READ

### remove

public E remove(int index)

Specified by:
  `remove` in interface `List<E>`
Category
  WRITE

### set

public E set(int index, E element)

Specified by:
  `set` in interface `List<E>`
Category
  WRITE

### subList

public List<E> subList(int fromIndex, int toIndex)

Specified by:
  `subList` in interface `List<E>`
Category
  READ